Bug 998229 - Unable to add some BPMN artifacts to a subprocess.
Unable to add some BPMN artifacts to a subprocess.
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.0.0
Assigned To: Tihomir Surdilovic
Sona Mala
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-18 08:30 EDT by Marek Baluch
Modified: 2014-08-06 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Baluch 2013-08-18 08:30:17 EDT
Description of problem:
Cannot add a Task (non-generic, non-manual), Swimlane or WorkFlow pattern to a subproccess.

How to reproduce:
1) add (e.g.) an embedded subprocess to the canvas
2) attempt to add one of the elements above to the embedded subprocess

Build:
Found on ER1
Comment 3 Marek Baluch 2013-08-31 02:54:00 EDT
Most modeling tests use a subprocess so they cannot be fully executed.
Comment 4 Tihomir Surdilovic 2013-09-16 15:36:24 EDT
fixed in designer master and 6.0.x branch. you will need to clear browser cache before testing
Comment 8 Sona Mala 2013-10-15 10:26:46 EDT
Verified for ER4.

All common elements which are used in subprocesses (as User, Email, Send, Manual, etc. tasks and all events) is able to add into subprocess directly from Shape Repository.

For WF Pattern there exist workarounds (as add into canvas and them mark all elements and move into subprocess or activate element in subprocess and attach WF patern). I am going to create a new bugzilla for this issue.

For Swimlanes, there is not any option how to add Swimlanes into subprocess. I think that BPMN2 specification allows such construction (LaneSet is an attribute of FlowElementsContainer and Subprocess inherit FlowElementsContainer) so I am going to create a new bugzilla for this issue.

Note You need to log in before you can comment on or make changes to this bug.